curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/case-vouchers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/case-vouchers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/case-vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"currentPage": 0,
"pageSize": 25
},
"items": [
{
"voucherTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceId": "<string>",
"currency": "DKK",
"amount": 123,
"date": "<string>",
"dueDate": "<string>",
"text": "<string>",
"caseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "CREDITOR",
"interest": 123,
"interestStartDate": "<string>",
"interestEndDate": "<string>",
"cardType": "<string>",
"paymentType": "BANK_TRANSFER",
"paymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appendix": {},
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": "<array>",
"createdAt": "<string>",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
},
"transactionAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceCaseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {},
"lineItems": "<array>",
"state": "UNMAPPED",
"category": "principal",
"label": "<string>",
"setting": "<string>",
"settingDetails": {},
"deletedAt": "<string>",
"deletedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
},
"exported": true,
"expirationDate": "<string>",
"expired": true,
"expirationManualSet": true,
"expirationFromDate": "<string>",
"expirationLength": 123,
"irrecoverableDate": "<string>"
}
]
}Get case vouchers
Get a paginated list of case vouchers. Can be filtered by the reference id of the voucher and by a case voucher property (attribute). Property filtering matches the exact value of a text property.
Required scope: read:case-vouchers
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant
Query Parameters
Page to get. Starting from 0.
Number of items per page.
x <= 500Filter by the reference id of the case voucher. For example an invoice number or a parking charge number.
Filter by the case the vouchers belong to. Replaces GET /v1/{tenantId}/case-vouchers/{caseId}.
Handle of a case voucher property to filter by. Must be used together with propertyValue. The handle of a property can be found under settings in Debbie Caseworker.
Value of the case voucher property to filter by. Must be used together with propertyHandle. The value must match exactly.
Filter by the creditor the case of the voucher belongs to.